BearSSL

Data Fields
br_x509_pkey Struct Reference

Aggregate structure for public keys. More...

`#include <bearssl_x509.h>`

## Data Fields
unsigned char | key_type
| Key type: `BR_KEYTYPE_RSA` or `BR_KEYTYPE_EC` More...
union {
br_rsa_public_key rsa
| RSA public key. More...
br_ec_public_key ec
| EC public key. More...
} | key
| Actual public key. More...

## Detailed Description

Aggregate structure for public keys.

## Field Documentation

## ◆ ec

br_ec_public_key br_x509_pkey::ec

EC public key.

## ◆

union { ... } br_x509_pkey::key

Actual public key.

## ◆ key_type

unsigned char br_x509_pkey::key_type

Key type: `BR_KEYTYPE_RSA` or `BR_KEYTYPE_EC`

## ◆ rsa

br_rsa_public_key br_x509_pkey::rsa

RSA public key.

The documentation for this struct was generated from the following file:

- bearssl_x509.h